| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Data Fields
bladerf_devinfo Struct Reference
Initialization

## Description

Information about a bladeRF attached to the system

Definition at line 130 of file libbladeRF.h.

`#include <libbladeRF.h>`

## Data Fields
bladerf_backend | backend
char | serial [BLADERF_SERIAL_LENGTH]
uint8_t | usb_bus
uint8_t | usb_addr
unsigned int | instance
char | manufacturer [BLADERF_DESCRIPTION_LENGTH]
char | product [BLADERF_DESCRIPTION_LENGTH]

## Field Documentation

## ◆ backend

bladerf_backend backend

Backend to use when connecting to device

Definition at line 131 of file libbladeRF.h.

## ◆ instance

unsigned int instance

Device instance or ID

Definition at line 136 of file libbladeRF.h.

## ◆ manufacturer

char manufacturer[BLADERF_DESCRIPTION_LENGTH]

Manufacturer description string

Definition at line 139 of file libbladeRF.h.

## ◆ product

char product[BLADERF_DESCRIPTION_LENGTH]

Product description string

Definition at line 140 of file libbladeRF.h.

## ◆ serial

char serial[BLADERF_SERIAL_LENGTH]

Device serial number string

Definition at line 133 of file libbladeRF.h.

## ◆ usb_addr

uint8_t usb_addr

Device address on bus

Definition at line 135 of file libbladeRF.h.

## ◆ usb_bus

uint8_t usb_bus

Bus # device is attached to

Definition at line 134 of file libbladeRF.h.

The documentation for this struct was generated from the following file:

- libbladeRF.h